Subject: Linux-Activists - Channel DOC digest. 92-11-23-3:51
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 23 Dec 1992 10:44:28 +0200

Topics:
	 Do Devices belong in "man" pages?
	 Re: Do Devices belong in "man" pages?
	 Do Devices belong in "man" pages?

----------------------------------------------------------------------

From: Willy Konijnenberg <[email-masked]>
Subject: Do Devices belong in "man" pages?
Date: Wed, 23 Dec 1992 04:50:47 +0200

Rick Miller <[email-masked]> wrote:
> >From: [email-masked] (Michael Haardt)
> >Subject: Chapter 4 manual pages
> 
> ["HD(4)" 'manual page' omitted]
> 
> This is *AWFUL*... and I'm not just saying that because I write the
> Linux Device List!  That 'man page' did nothing but list the names of the
> devices, with NO MENTION of what the major/minor numbers need to be for
> specific partitions.
> 
> If I wanted to see that sort of info, I'd just "ls -la /dev/hd*".
> 
> BTW:  I've been a UNIX[tm] user for about seven years, and an avidly
>         curious one at that... but I've never heard of "man" pages for
>         device names.  Let's not get wierd here.  You just can't put
>         *everything* in "man" pages.

Digging up my Seventh Edition manual, I find:
(copying without permission.:-)

HP(4)								HP(4)

NAME
	hp - RH-11/RP04,... moving-head disk
DESCRIPTION
	The octal representation of the minor device is encoded idp,
	where i is an interleave flag, d is a physical drive number,
	and p is a pseudodrive (subsection) within a physical unit.
	If i is 0, the origins and sizes of the pseudodisks on each
	drive, counted in cylinders of 418 512-byte blocks, are:

		disk	start	length
		0	0	23
...
		7	44	771
...
FILES
	/dev/rp?, /dev/rrp?
...

It would seem there is a good tradition to man pages for device drivers,
but I must say they did contain more useful info than Michael's example.
Other entries to note were: cat(4),mem(4),null(4),tm(4) and tty(4).

-- 
	Willy Konijnenberg <[email-masked]>
	Fac. Wiskunde & Informatica, Vrije Universiteit, Amsterdam

------------------------------

From: [email-masked] (Joe M. Doss)
Subject: Re: Do Devices belong in "man" pages?
Date: Tue, 22 Dec 1992 20:40:57 +0200

> From: Rick Miller <[email-masked]>
> Subject: Do Devices belong in "man" pages?
> Date: Tue, 22 Dec 1992 14:58:26 +0200
> 
> ["HD(4)" 'manual page' omitted]
> 
> This is *AWFUL*... and I'm not just saying that because I write the
> Linux Device List!  That 'man page' did nothing but list the names of the
> devices, with NO MENTION of what the major/minor numbers need to be for
> specific partitions.
Certainly the man pages need to be more detailed, but the manual page
given was just a "rough-draft" to ask if we wanted man pages for the
devices.

> 
> If I wanted to see that sort of info, I'd just "ls -la /dev/hd*".
> 
> BTW:  I've been a UNIX[tm] user for about seven years, and an avidly
>         curious one at that... but I've never heard of "man" pages for
>         device names.  Let's not get wierd here.  You just can't put
>         *everything* in "man" pages.
> --
> Rick Miller   <[email-masked]> | <[email-masked]>   Ricxjo Muelisto
> Occupation:  Husband, Father, WEPCo. WAN Mgr., Discus Sys0p, and  Linux fan
> 
Admittedly, I don't have access to any "Real UNIX" manuals newer than V7,
but the V7 manuals have a "Chapter 4 - Special Files."  This has a man page
for every type of special file in the /dev directory.  Man pages for device
files is certainly not unheard of.

I like the idea of having man pages for everything, even if we also have
TeXinfo docs.

This is all just my opinion, of course.

---------------------------------------------------------------------------
|     Joe M. Doss, Jr.                     (standard disclaimer applies)  |
|  [email-masked]                  <insert cute quote here>    |
---------------------------------------------------------------------------

------------------------------

From: [email-masked] (Michael K Johnson)
Subject: Do Devices belong in "man" pages?
Date: Wed, 23 Dec 1992 06:33:34 +0200

   From: Rick Miller <[email-masked]>

   This is *AWFUL*... and I'm not just saying that because I write the
   Linux Device List!  That 'man page' did nothing but list the names of the
   devices, with NO MENTION of what the major/minor numbers need to be for
   specific partitions.

I think that he was asking about the format, but I could be wrong.

   BTW:  I've been a UNIX[tm] user for about seven years, and an avidly
	   curious one at that... but I've never heard of "man" pages for
	   device names.  Let's not get wierd here.  You just can't put
	   *everything* in "man" pages.

Uh, well, then, you need to read more man pages.  This a perfectly
acceptable place for man pages, and before you were even running
linux, it was decided that these man pages ought to exist, though
nobody has written them yet for linux, to the best of my knowledge.
Keep cool, please.  This is crucial system information: We /need/ man
pages on this.  Let Michael write the man pages.  If you don't like
them, then fill in the rest of the information yourself.  The man
format isn't too hard to grok: read man.7
(tsx-11.mit.edu:/pub/linux/docs/man/man.7) for more info.

michaelkjohnson

------------------------------

End of DOC Digest
*****************
-------